DeluxHostAPI Reference
Dedicated servers & virtual machines

List installation profiles

GET
/v1/services/{serviceId}/tenantos/profiles

Authorization

apiToken services:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:read

Path Parameters

serviceId*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
os*array<>
rescue*array<>
curl -X GET 'https://api.deluxhost.net/v1/services/0/tenantos/profiles' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "os": [    {      "id": 0,      "name": "string",      "group": null,      "diskLayouts": [        {          "id": 0,          "name": "string"        }      ],      "defaultDiskLayout": null,      "sshKeys": true,      "hostname": true,      "rootPassword": true,      "progress": true    }  ],  "rescue": [    {      "id": 0,      "name": "string",      "group": null,      "diskLayouts": [        {          "id": 0,          "name": "string"        }      ],      "defaultDiskLayout": null,      "sshKeys": true,      "hostname": true,      "rootPassword": true,      "progress": true    }  ]}